%define upstream_name    Config-JFDI
%define upstream_version 0.065

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Just * Do it: A Catalyst::Plugin::ConfigLoader-style layer over Config::Any
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Any::Moose)
BuildRequires: perl(Carp::Clan::Share)
BuildRequires: perl(Clone)
BuildRequires: perl(Config::Any)
BuildRequires: perl(Data::Visitor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::AttributeHelpers)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildArch: noarch


%description
Config::JFDI is an implementation of the Catalyst::Plugin::ConfigLoader
manpage that exists outside of the Catalyst manpage.

Essentially, Config::JFDI will scan a directory for files matching a
certain name. If such a file is found which also matches an extension that
Config::Any can read, then the configuration from that file will be loaded.

Config::JFDI will also look for special files that end with a "_local"
suffix. Files with this special suffix will take precedence over any other
existing configuration file, if any. The precedence takes place by merging
the local configuration with the "standard" configuration via the
Hash::Merge::Simple manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.65.0-9.mga8
+ Revision: 1493570
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.65.0-8.mga7
+ Revision: 1266588
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.65.0-7.mga6
+ Revision: 1024298
- Rebuild for perl 5.22.2

* Sat Jan 30 2016 umeabot <umeabot> 0.65.0-6.mga6
+ Revision: 929063
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.65.0-5.mga5
+ Revision: 739269
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.65.0-4.mga5
+ Revision: 683985
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.65.0-3.mga4
+ Revision: 510203
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.65.0-2.mga3
+ Revision: 364667
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.65.0-1.mga1
+ Revision: 38575
- mageia rebuild
- imported package perl-Config-JFDI

